Bug 1973058 - Many "Failed to start Application launched by gnome-session-binary" errors on boot
Summary: Many "Failed to start Application launched by gnome-session-binary" errors on...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2043892 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-17 08:09 UTC by joshas
Modified: 2022-06-18 08:40 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description joshas 2021-06-17 08:09:29 UTC
Description of problem:
After system boot "Logs" program lists several "Failed to start Application launched by gnome-session-binary" errors.

Version-Release number of selected component (if applicable):
34

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2. Look into Logs or journalctl

Actual results:
Several "Failed to start Application launched by gnome-session-binary" errors.

Expected results:
There should be no errors. There were no such errors in Fedora 33.

Additional info:

systemd[1779]: Started GNOME Session Manager (session: gnome).
systemd[1779]: Reached target GNOME Session Manager is ready.
systemd[1779]: Starting GNOME Shell on Wayland...
systemd[1779]: Starting GNOME Shell on X11...
systemd[1779]: org.gnome.Shell@x11.service: Control process exited, code=exited, status=2/INVALIDARGUMENT
systemd[1779]: org.gnome.Shell@x11.service: Skipped due to 'exec-condition'.
systemd[1779]: Condition check resulted in GNOME Shell on X11 being skipped.
systemd[1779]: app-glib-gnome\x2dkeyring\x2dpkcs11-1884.scope: Deactivated successfully.
systemd[1779]: org.gnome.Shell@x11.service: Scheduled restart job, restart counter is at 1.
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1897: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1897 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1897: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1897 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1900: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1900 does not exist.
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1900: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1900 does not exist.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: app-glib-liveinst\x2dsetup-1897.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-liveinst\x2dsetup-1897.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: app-glib-xdg\x2duser\x2ddirs-1900.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-xdg\x2duser\x2ddirs-1900.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: app-gnome-gsettings\x2ddata\x2dconvert-1902.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-gnome-gsettings\x2ddata\x2dconvert-1902.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: Stopped GNOME Shell on X11.
systemd[1779]: Starting GNOME Shell on X11...

<cut>

gnome-session-binary[1871]: Entering running state
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2298: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2298 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2298: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2298 does not exist.
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2307: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2307 does not exist.
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2309: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2309 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2307: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2307 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 2309: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 2309 does not exist.
vmware-user.desktop[2334]: vmware-user: could not open /proc/fs/vmblock/dev
systemd[1779]: Started GNOME date & time service.
systemd[1779]: Started GNOME sound sample caching service.
vmware-user.desktop[2334]: Error: /usr/bin/vmtoolsd must be run inside a virtual machine on a VMware hypervisor product.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: app-glib-gnome\x2dshell\x2doverrides\x2dmigration-2298.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-gnome\x2dshell\x2doverrides\x2dmigration-2298.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
gnome-shell[1905]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: app-glib-user\x2ddirs\x2dupdate\x2dgtk-2300.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-user\x2ddirs\x2dupdate\x2dgtk-2300.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: app-glib-vboxclient-2307.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-vboxclient-2307.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: app-glib-vmware\x2duser-2309.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-vmware\x2duser-2309.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: app-gnome-user\x2ddirs\x2dupdate\x2dgtk-2300.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-gnome-user\x2ddirs\x2dupdate\x2dgtk-2300.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.
systemd[1779]: Reached target GNOME date & time target.

Comment 1 Zbigniew Jędrzejewski-Szmek 2021-06-30 14:55:14 UTC
I initially thought that this is the problem:
systemd[1779]: org.gnome.Shell@x11.service: Control process exited, code=exited, status=2/INVALIDARGUMENT
systemd[1779]: org.gnome.Shell@x11.service: Skipped due to 'exec-condition'.
systemd[1779]: Condition check resulted in GNOME Shell on X11 being skipped.
systemd[1779]: app-glib-gnome\x2dkeyring\x2dpkcs11-1884.scope: Deactivated successfully.

But that is some unfortunate logging. We log about the condition check process as "Control process".
I'll prep a patch to say "Condition check process" instead. Apart from the misleading message,
systemd behaviour seems correct here, we skip the service.

gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1897: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1897 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1897: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1897 does not exist.
gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1900: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1900 does not exist.
gnome-session[1871]: gnome-session-binary[1871]: GnomeDesktop-WARNING: Could not create transient scope for PID 1900: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 1900 does not exist.
systemd[1779]: Started Application launched by gnome-session-binary.
systemd[1779]: app-glib-liveinst\x2dsetup-1897.scope: Failed to add PIDs to scope's control group: No such process
systemd[1779]: app-glib-liveinst\x2dsetup-1897.scope: Failed with result 'resources'.
systemd[1779]: Failed to start Application launched by gnome-session-binary.

So gnome-sessions tries to register a scope, but systemd refuses because the there is no such PID.
Maybe the process already exited? It's not possible to say from this log snippet.
Please attach full debug logs.

Anyway, it seems that the problem is on gnome-shell side.

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-06-30 15:23:56 UTC
https://github.com/systemd/systemd/pull/20076 improves the logs.

Comment 3 Pranav 2021-07-16 05:29:55 UTC
I have seen this issue in GNOME 36, 38, and now in 40.2. I used to use Ubuntu and now I use Fedora (34). But this issue seems to be everywhere.

Really hope to see this issue resolved.

Comment 4 JetStream 2021-08-02 13:41:29 UTC
I see this error on my system running Fedora 5.12.15-200.fc33.x86_64

Can provide more diagnostics if necessary (but might need help with the command to run)

systemd
Failed to start Application launched by gnome-session-binary.
CODE_FILE	src/core/job.c
CODE_FUNC	job_log_done_status_message
CODE_LINE	941
JOB_ID	349
JOB_RESULT	failed
JOB_TYPE	start
MESSAGE_ID	be02cf6855d2428ba40df7e9d022f03d
PRIORITY	3
SYSLOG_FACILITY	3
SYSLOG_IDENTIFIER	systemd
USER_INVOCATION_ID	3b892213f960435fb4347e734283435b
USER_UNIT	app-gnome-vmware\x2duser-3906.scope
_AUDIT_LOGINUID	1000
_AUDIT_SESSION	3
_BOOT_ID	b2b31b8fc296446b8ac147d874f0a952
_CAP_EFFECTIVE	0
_CMDLINE	/usr/lib/systemd/systemd --user
_COMM	systemd
_EXE	/usr/lib/systemd/systemd
_GID	1000
_HOSTNAME	nucv210
_PID	3036
_SOURCE_REALTIME_TIMESTAMP	1627895324428887
_SYSTEMD_CGROUP	/user.slice/user-1000.slice/user@1000.service/init.scope
_SYSTEMD_INVOCATION_ID	3b094d5899574343991fc7da5b3c3d93
_SYSTEMD_OWNER_UID	1000
_SYSTEMD_SLICE	user-1000.slice
_SYSTEMD_UNIT	user@1000.service
_SYSTEMD_USER_SLICE	-.slice
_SYSTEMD_USER_UNIT	init.scope
_TRANSPORT	journal
_UID	1000

Comment 5 Syaifur Rizal 2021-10-23 08:34:34 UTC
I believe it's because when Gnome shipped by the distros, it's not shipped with a full/complete Gnome desktop suite. 

Gnome on Fedora I believe is stripped down version of Gnome desktop and that's why we found some shortcut for start app/autostart app aren't work because it's not present on the system.

Comment 6 joshas 2021-11-04 21:38:53 UTC
Still seeing same errors after upgrading to Fedora 35.

Comment 7 Pranav 2021-11-05 16:13:20 UTC
(In reply to joshas from comment #6)
> Still seeing same errors after upgrading to Fedora 35.

Yes. It's here in Fedora 35 too. And a lot of them.

Comment 9 Zbigniew Jędrzejewski-Szmek 2022-01-22 12:11:00 UTC
*** Bug 2043892 has been marked as a duplicate of this bug. ***

Comment 10 Arjen P. de Vries 2022-04-29 09:48:51 UTC
I have this problem too, April 2022.

The result is that Wayland is not used.

Comment 11 joshas 2022-05-20 20:51:24 UTC
Still an issue on Fedora 36:

systemd: Failed to start app-gnome-vmware\x2duser-1909.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-gnome-vmware\x2duser-1909.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-gnome-vboxclient-1900.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-gnome-spice\x2dvdagent-1798.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-glib-spice\x2dvdagent-1798.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-gnome-liveinst\x2dsetup-1595.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-gnome-gsettings\x2ddata\x2dconvert-1597.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-glib-xdg\x2duser\x2ddirs-1592.scope - Application launched by gnome-session-binary.
systemd: Failed to start app-glib-liveinst\x2dsetup-1595.scope - Application launched by gnome-session-binary.

Comment 12 do.siekierskipd 2022-06-18 08:40:15 UTC
same 
Fedora 36 workstation
Gnome 42.2
Kernel 5.18.5-200.fc36.x86_64


Note You need to log in before you can comment on or make changes to this bug.